commit 9d9ae9469c9bf3a6afe635d70c08d7346e2fd7da
parent 0f1a90b9e4f8a714002bc34c05f529f21fc4fe02
Author: Anders Damsgaard <andersd@riseup.net>
Date: Wed, 27 Sep 2017 16:17:20 -0400
add more installation scripts
Diffstat:
9 files changed, 256 insertions(+), 153 deletions(-)
diff --git a/debian-install.sh b/debian-install.sh
@@ -1,87 +0,0 @@
-#!/bin/bash
-set -e
-sudo apt-get update
-
-sudo apt-get install \
- autossh \
- bogofilter \
- build-essential \
- cmake \
- curl \
- dict \
- dict-gcide \
- dictd \
- dunst \
- elinks \
- exuberant-ctags \
- ffmpeg \
- git \
- haskell-platform \
- hsetroot \
- htop \
- i3 \
- i3blocks \
- i3lock \
- imagemagick \
- imapfilter \
- ipython \
- latexmk \
- libnotify-bin \
- locate \
- mpc \
- mpd \
- mplayer \
- msmtp \
- msmtp-gnome \
- mutt \
- ncmpcpp \
- notmuch \
- notmuch-mutt \
- ntp \
- offlineimap \
- okular \
- paraview \
- pass \
- python-ipdb \
- python-matplotlib \
- python-numpy \
- python-pip \
- python-scipy \
- redshift \
- ruby \
- rxvt-unicode-256color \
- screenfetch \
- scrot \
- sshfs \
- texlive \
- texlive-full \
- tig \
- tmux \
- tor \
- torbrowser-launcher \
- urlview \
- vim \
- vim-nox \
- w3m \
- weechat \
- weechat-plugins \
- weechat-scripts \
- wordnet \
- xautolock \
- xbacklight \
- xbindkeys \
- youtube-dl \
- zathura \
- zsh
-
-
-sudo gem install tmuxinator
-
-# configure xdg-open with `mimeopen -d <file>`
-# set zathura as default pdf viewer
-xdg-mime default zathura.desktop application/pdf
-xdg-mime default files.desktop inode/directory # nautilus
-xdg-mime default eog.desktop image/jpeg
-xdg-mime default eog.desktop image/png
-xdg-mime default eog.desktop image/gif
-xdg-mime default eog.desktop image/bmp
diff --git a/init/10_osx_xcode.sh b/init/10_osx_xcode.sh
@@ -1,5 +1,7 @@
+#!/bin/sh
+
# OSX-stuff only
-[[ "$(uname)" != "Darwin" ]] && return 1
+[[ "$(uname)" != "Darwin" ]] && exit 1
if [[ ! -d "$('xcode-select' -print-path 2>/dev/null)" ]]; then
sudo xcode-select -switch /usr/bin
diff --git a/init/20_debian_apt.sh b/init/20_debian_apt.sh
@@ -0,0 +1,92 @@
+#!/bin/bash
+[[ "$(uname)" != "Linux" ]] && exit 1
+[[ "$(cat /etc/issue 2> /dev/null)" =~ Debian ]] || exit 1
+
+set -e
+
+apt_packages=(
+ autossh
+ bogofilter
+ build-essential
+ cmake
+ curl
+ dict
+ dict-gcide
+ dictd
+ dunst
+ elinks
+ exuberant-ctags
+ ffmpeg
+ git
+ haskell-platform
+ hsetroot
+ htop
+ i3
+ i3blocks
+ i3lock
+ imagemagick
+ imapfilter
+ ipython
+ latexmk
+ libnotify-bin
+ locate
+ mpc
+ mpd
+ mpv
+ msmtp
+ msmtp-gnome
+ mutt
+ notmuch
+ notmuch-mutt
+ ntp
+ offlineimap
+ okular
+ paraview
+ pass
+ python-ipdb
+ python-matplotlib
+ python-numpy
+ python-pip
+ python-scipy
+ redshift
+ ruby
+ rxvt-unicode-256color
+ screenfetch
+ scrot
+ sshfs
+ texlive
+ texlive-full
+ tig
+ tmux
+ tor
+ torbrowser-launcher
+ urlview
+ vim
+ vim-nox
+ w3m
+ weechat
+ weechat-plugins
+ weechat-scripts
+ wordnet
+ xautolock
+ xbacklight
+ xbindkeys
+ youtube-dl
+ zathura
+ zsh
+)
+
+for package in "${apt_packages[@]}"; do
+ sudo apt install -qq install "$package"
+done
+
+
+
+# configure xdg-open with `mimeopen -d <file>`
+# set zathura as default pdf viewer
+xdg-mime default zathura.desktop application/pdf
+xdg-mime default files.desktop inode/directory # nautilus
+xdg-mime default eog.desktop image/jpeg
+xdg-mime default eog.desktop image/png
+xdg-mime default eog.desktop image/gif
+xdg-mime default eog.desktop image/bmp
diff --git a/init/30_osx_casks.sh b/init/30_osx_casks.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+# OSX-stuff only
+[[ "$(uname)" != "Darwin" ]] && exit 1
+
+# Exit if, for some reason, Homebrew is not installed.
+[[ ! "$(type -P brew)" ]] && echo "Homebrew failed to install." && return 1
+
+# from `brew cask list`
+casks=(
+ adobe-reader
+ alfred
+ battle-net
+ bitbar
+ duet
+ firefox
+ julia
+ karabiner
+ mactex
+ osxfuse
+ processing
+ smoothmouse
+ skim
+ skype
+ steam
+ sshfs
+ terminal-notifier
+ torbrowser
+ transmission
+ vlc
+ w3m
+ xquartz
+)
+
+read -p "Do you want to install brew casks? [y/n] " -n 1 -r
+echo
+if [[ $REPLY =~ ^[Yy]$ ]]; then
+ for cask in "${casks[@]}"; do
+ read -p "Do you want to install $cask? [y/n] " -n 1 -r
+ echo
+ if [[ $REPLY =~ ^[Yy]$ ]]; then
+ brew cask install $cask
+ fi
+ done
+fi
diff --git a/init/30_osx_recipes.sh b/init/30_osx_recipes.sh
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# OSX-stuff only
+[[ "$(uname)" != "Darwin" ]] && exit 1
+
+## Exit if, for some reason, Homebrew is not installed.
+[[ ! "$(type -P brew)" ]] && echo "Recipes need Homebrew to install." && exit 1
+
+# from `brew list`
+brews=(
+ abook
+ asciinema
+ aspell
+ autoconf
+ automake
+ autossh
+ c2048
+ catimg
+ cmake
+ cpanminus
+ ctags-exuberant
+ exiftool
+ ffmpeg
+ fortune
+ fzf
+ gdbm
+ gettext
+ git
+ gnu-getopt
+ gnupg
+ homebrew/science/paraview
+ htop-osx
+ id3v2
+ imagemagick
+ imapfilter
+ libevent
+ lua
+ mobile-shell
+ mpc
+ mpd
+ mpv
+ msmtp
+ mutt
+ nmap
+ notmuch
+ offlineimap
+ openssl
+ pass
+ pcre
+ pkg-config
+ pwgen
+ qrencode
+ reattach-to-user-namespace
+ ripgrep
+ surfraw
+ tmux
+ translate-shell
+ tig
+ tor
+ torsocks
+ tree
+ urlview
+ vim
+ vimpc
+ "vtk --with-tcl --with-qt --with-python --with-matplotlib --with-examples"
+ w3m
+ watch
+ wget
+ "wireshark --with-lua --with-qt5"
+ youtube-dl
+ zsh
+)
+
+for brew in "${brews[@]}"; do
+ brew install $brew
+done
+
+
+# notmuch-mutt requirements
+[[ ! "$(type -P cpanm)" ]] && echo "cpanm failed to install." && exit 1
+cpanm Digest::SHA\
+ Mail::Box\
+ Mail::Header\
+ Mail::Box::Maildir\
+ String::ShellQuote\
+ Term::ReadLine::Gnu
+
+# install fzf shell extensions
+/usr/local/opt/fzf/install
diff --git a/init/30_python_pip.sh b/init/30_python_pip.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+[[ ! "$(type -P pip)" ]] && echo "Pip needs to be installed." && exit 1
+
+# pip packages
+pips=(
+ bs4
+ gcalcli
+ grepg
+ requests
+)
+
+for pip in "${pip[@]}"; do
+ pip install $pip
+ if [ "$pip" == "gcalcli" ]; then gcalcli list; fi
+done
diff --git a/init/50_vim.sh b/init/50_vim.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Install vim-plug
+curl -fLo ~/.vim/autoload/plug.vim --create-dirs \
+ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
+curl -fLo ~/.local/share/nvim/site/autoload/plug.vim --create-dirs \
+ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
+
+# Install and upgrade plugins
+if [[ "$(type -P vim)" ]]; then
+ vim +PlugUpgrade +PlugUpdate +qall
+fi
diff --git a/osx-install.sh b/osx-install.sh
@@ -1,7 +1,3 @@
-#!/bin/bash
-
-# install homebrew
-ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
#brew tap railwaycat/emacsmacport
brew tap d12frosted/emacs-plus
@@ -92,51 +88,6 @@ for brew in "${brews[@]}"; do
done
-# from `brew cask list`
-casks=("adobe-reader"\
- "alfred"\
- "amethyst"\
- "android-studio"\
- "battle-net"\
- "bitbar"\
- "disk-inventory-x"\
- "duet"\
- "firefox"\
- "flux"\
- "google-chrome"\
- "inkscape"\
- "julia"\
- "karabiner"\
- "libreoffice"\
- "mactex"\
- "minecraft"\
- "osxfuse"\
- "processing"\
- "smoothmouse"\
- "skim"\
- "skype"\
- "steam"\
- "sshfs"\
- "terminal-notifier"\
- "torbrowser"\
- "transmission"\
- "virtualbox"\
- "vlc"\
- "w3m"\
- "xquartz" )
-
-read -p "Do you want to install brew casks? [y/n] " -n 1 -r
-echo
-if [[ $REPLY =~ ^[Yy]$ ]]; then
- for cask in "${casks[@]}"; do
- read -p "Do you want to install $cask? [y/n] " -n 1 -r
- echo
- if [[ $REPLY =~ ^[Yy]$ ]]; then
- brew cask install $cask
- fi
- done
-fi
-
read -p "Do you want to clone terminal.app themes? [y/n] " -n 1 -r
echo
if [[ $REPLY =~ ^[Yy]$ ]]; then
diff --git a/pip-installs.sh b/pip-installs.sh
@@ -1,16 +0,0 @@
-#!/bin/bash
-set -e
-
-
-# pip packages
-pips=( \
- "bs4"\
- "gcalcli"\
- "grepg"\
- "requests"\
- )
-
-for pip in "${pip[@]}"; do
- pip install $pip
- if [ "$pip" == "gcalcli" ]; then gcalcli list; fi
-done